Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 130586 - Code Completion for Language Keywords
Code Completion for Language Keywords
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: David Strupl
issues@javafx
http://wiki.netbeans.org/JavaFXEditor...
: RELNOTE
Depends on:
Blocks: 130138
  Show dependency treegraph
 
Reported: 2008-03-19 22:27 UTC by David Strupl
Modified: 2008-06-26 11:17 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2008-03-19 22:27:23 UTC
Code Completion for Language Keywords
Comment 1 David Strupl 2008-04-03 09:38:09 UTC
The keywords completion should be easy, right? ;-)
Comment 2 Victor Vasilyev 2008-04-07 12:49:54 UTC
Not sure. ;-) The issue should be additionally investigated.

If a keyword has a related definite list of the code patterns that are implied  by the language then these patterns
should be proposed instead of the stand-alone keyword, i.e. the code template feature should be involved instead of the
simple code completion.

E.g. code completion for the "extends" keyword should unconditionally propose input of either the super class name or a
list such names.

I see the following requirement:
Code Completion SHOULD NOT provoke creation of the syntactically incorrect code.
Comment 3 David Strupl 2008-04-07 13:01:30 UTC
It was just a joke ... you can watch my slow progress in file
javafx.editor/src/org/netbeans/modules/javafx/editor/completion/JavaFXCompletionProvider.java
in mercurial. It is (very) far from complete now ... The status of this issue is "started" which is correct.

And yes I am aware that it is better to suggest nothing than something that will be syntactically incorrect.
Comment 4 Jiri Prox 2008-04-11 00:31:12 UTC
moving opened issues from TM <= 6.1 to TM=Dev
Comment 5 Jiri Prox 2008-04-11 09:11:27 UTC
restoring original TM, sorry for any inconvenience
Comment 6 David Strupl 2008-04-14 14:48:11 UTC
Reopenning after jiriprox's action.
Comment 7 David Strupl 2008-04-14 14:53:02 UTC
I am trying to hack this together before the J1. It will certainly violate the requirement
"Code Completion SHOULD NOT provoke creation of the syntactically incorrect code."
but with the current infrastructure this is the only thing I am able to do.
Comment 8 David Strupl 2008-06-03 08:28:45 UTC
This has been implemented but may still contain bugs. I am closing this and will handle the bugs as separate reports -
when somebody spots them.
Comment 9 Lark Fitzgerald 2008-06-03 15:33:56 UTC
Perhaps this is a misunderstanding on my part but, if you type:

public class Test extends
and press ctrl+space

no completions classes are listed.  This is the example listed in this issue so I am reopening.  I was expecting to 
see CustomNode, Frame, Application, etc...
Comment 10 David Strupl 2008-06-03 15:40:52 UTC
Lark, we still have the issue that says: the source tree broken --> no completion, right? When you type the source is
broken AFAICT. Please for now try on non-broken source (green mark in the upper right hand corner).

I know that the bug with broken source is serious for for code completion feature but what can I do? You are on the Cc:
of the discussion about that one ...

I suggest to close this one for now. Thoughts?
Comment 11 Lark Fitzgerald 2008-06-03 18:19:01 UTC
Ok.  I am going to add the Release note keyword as a placeholder.  If the jira issue is fixed before release then we 
don't need to releasenote it but I don't want to loose track of the limitations on this issue.
Comment 12 David Strupl 2008-06-09 15:30:23 UTC
Closing - hope I understood the Ok correctly as Ok to close it as resolved (with the keyword added).
Comment 13 Alexandr Scherbatiy 2008-06-26 11:17:41 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo